Inspect

Get user preferences

Retrieve the authenticated user's preferences, including their default model and agent.

Base URL
GET
/api/public/v1/user/preferences

Retrieve the authenticated user's preferences, including their default model and agent.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Response Body

User preferences

application/json
  1. response
data*

Wire fields are camelCase.

Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/user/preferences'
Example Response
{  "data": {    "defaultModel": "claude-opus-4-6",    "defaultModelVariant": null,    "defaultAgent": "general"  }}